[android-components](../../index.md) / [mozilla.components.concept.sync](../index.md) / [AccountObserver](index.md) / [onError](./on-error.md)

# onError

`abstract fun onError(error: `[`Exception`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-exception/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/sync/src/main/java/mozilla/components/concept/sync/OAuthAccount.kt#L79)

Account manager encountered an error. Inspect [error](on-error.md#mozilla.components.concept.sync.AccountObserver$onError(java.lang.Exception)/error) for details.

### Parameters

`error` - A specific error encountered.